package net.flashii.mcexts;

import java.util.logging.Logger;
import org.bukkit.Bukkit;
import org.bukkit.event.Event;
import org.bukkit.event.Event.Priority;
import org.bukkit.plugin.java.JavaPlugin;

public class PluginMain extends JavaPlugin {
    public final static Logger logger = Logger.getLogger("FIIEXTS");

    private final JoinListener joinListener = new JoinListener();

    @Override
    public void onEnable() {
        logger.info("Flashii extensions enabled!");

        ConfigPath.setPath(getDataFolder());
        Bukkit.getServer().getPluginManager().registerEvent(Event.Type.PLAYER_LOGIN, joinListener, Priority.Highest, this);
    }

    @Override
    public void onDisable() {
        logger.info("Flashii extensions disabled!");
    }
}
