package net.flashii.mcexts;

import java.util.Map;

public class RPCPayload {
    private final String name;
    private final Map<String, Object> attrs;

    public RPCPayload(String name, Map<String, Object> attrs) {
        this.name = name;
        this.attrs = attrs;
    }

    public String getName() {
        return name;
    }

    public boolean is(String name) {
        return this.name.equals(name);
    }

    public boolean hasAttr(String name) {
        return attrs.containsKey(name);
    }

    public Object getAttr(String name) {
        return attrs.get(name);
    }

    public String getAttrStr(String name) {
        return String.valueOf(attrs.get(name));
    }

    public int getAttrInt(String name) {
        return (int)attrs.get(name);
    }
}
