package net.flashii.mcexts;

public class URLs {
    private static final String DEFAULT_HOST = "https://mc.flashii.net";
    private static final String RPC_PATH = "/rpc";

    public static String getBaseUrl() {
        return Config.getValue("BaseURL.txt", DEFAULT_HOST);
    }

    public static String getSessionHost() {
        return getBaseUrl();
    }

    public static String getTexturesHostPrefix() {
        return getSessionHost() + "/";
    }

    public static String getRpcUrl(String path) {
        return getBaseUrl() + getRpcPath(path);
    }

    public static String getRpcPath(String path) {
        return RPC_PATH + path;
    }
}
