package net.flashii.mcexts;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class RPCPayloadParser {
    private final Gson gson;

    public RPCPayloadParser() {
        gson = new GsonBuilder()
            .registerTypeAdapter(RPCPayload.class, new RPCPayloadDeserialiser())
            .create();
    }

    public RPCPayload parse(String body) {
        return gson.fromJson(body, RPCPayload.class);
    }
}
